com.rscja.team.qcom.deviceapi

## Enum HardwareInterface_qcom.FunctionEnum

- java.lang.Object
- - java.lang.Enum<HardwareInterface_qcom.FunctionEnum>
  - - com.rscja.team.qcom.deviceapi.HardwareInterface_qcom.FunctionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HardwareInterface_qcom.FunctionEnum>
  Enclosing class:
    HardwareInterface_qcom

      public static enum HardwareInterface_qcom.FunctionEnum
      extends java.lang.Enum<HardwareInterface_qcom.FunctionEnum>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A4232`
    `FINGER`
    `UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HardwareInterface_qcom.FunctionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HardwareInterface_qcom.FunctionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UHF

          public static final HardwareInterface_qcom.FunctionEnum UHF

    - #### FINGER

          public static final HardwareInterface_qcom.FunctionEnum FINGER

    - #### A4232

          public static final HardwareInterface_qcom.FunctionEnum A4232

  - ### Method Detail

    - #### values

          public static HardwareInterface_qcom.FunctionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardwareInterface_qcom.FunctionEnum c : HardwareInterface_qcom.FunctionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HardwareInterface_qcom.FunctionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()